package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.Create(ctx, operations.C1APIAppV1ConnectorServiceCreateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConnectorServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.create({
appId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalogId": "<string>",
"config": {
"@type": "<string>"
},
"description": "<string>",
"expandMask": {
"paths": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/create"
payload = {
"catalogId": "<string>",
"config": { "@type": "<string>" },
"description": "<string>",
"expandMask": { "paths": ["<string>"] },
"userIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
catalogId: '<string>',
config: {'@type': '<string>'},
description: '<string>',
expandMask: {paths: ['<string>']},
userIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connectorView": {
"appPath": "<string>",
"capabilitiesPath": "<string>",
"connector": {
"appId": "<string>",
"canResumeSync": true,
"catalogId": "<string>",
"config": {
"@type": "<string>"
},
"configUpdatedAt": "2023-11-07T05:31:56Z",
"connectorApiVersion": 123,
"connectorSyncCronSchedule": {
"cronSpec": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disableCheckBadSync": true,
"displayName": "<string>",
"downloadUrl": "<string>",
"id": "<string>",
"oauthAuthorizedAs": {
"authEmail": "<string>",
"authorizedAt": "2023-11-07T05:31:56Z"
},
"parallelSyncWorkerCount": 123,
"profileAllowList": [
"<string>"
],
"profileIgnoreList": [
"<string>"
],
"status": {
"completedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"syncConfig": {
"syncResourceTypeIds": [
"<string>"
]
},
"syncDisabledAt": "2023-11-07T05:31:56Z",
"syncDisabledCategory": "<string>",
"syncDisabledReason": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userIds": [
"<string>"
]
},
"usersPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Create
Create a configured connector.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.Create(ctx, operations.C1APIAppV1ConnectorServiceCreateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConnectorServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.create({
appId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
Body
The ConnectorServiceCreateRequest message.
The catalogId field.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
Show child attributes
Show child attributes
The description field.
The ConnectorExpandMask is used to expand related objects on a connector.
Show child attributes
Show child attributes
The userIds field.
Response
The ConnectorServiceCreateResponse is the response returned from creating a connector.
The ConnectorServiceCreateResponse is the response returned from creating a connector.
Was this page helpful?